> ## Documentation Index
> Fetch the complete documentation index at: https://framework.freysa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get attestation details

> Attestation endpoints return cryptographically signed evidence about the code and configuration running in the Trusted Execution Environment (TEE). This evidence allows third parties to verify the authenticity and integrity of the TEE's execution environment.



## OpenAPI

````yaml get /v1/attestation
openapi: 3.0.0
info:
  title: Agent API
  version: 1.0.0
  description: >-
    OpenRouter/OpenAI API-compatible completions endpoint enables developers to
    build their own applications on sovereign agents. The completions request
    object is augmented with appropriate details from the agent's memory.
    Following the standard API format ensures compatibility with all SDKs that
    support OpenRouter or OpenAI API
servers: []
security: []
paths:
  /v1/attestation:
    get:
      summary: Get attestation details
      description: >-
        Attestation endpoints return cryptographically signed evidence about the
        code and configuration running in the Trusted Execution Environment
        (TEE). This evidence allows third parties to verify the authenticity and
        integrity of the TEE's execution environment.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code_attestation:
                    type: string
                    example: asdf
                    description: Base64 encoded attestation data
                  operator_pubkey:
                    type: string
                    description: Operator's public key
                  tee_name:
                    type: string
                    description: Name of the Trusted Execution Environment
                  tee_public_key:
                    type: string
                    description: Public key of the TEE

````